<?xml version="1.0"?>
<action-recipes>
	<!-- These actions are generally useful across all languages -->
	
	<!-- Convert menu -->
	
	<action id="com.macrabbit.tea-for-two.text-actions.entab" category="actions.text.generic/actions.text.convert/tea.conversion/1">
		<class>TEASpacesToTabsAction</class>
		<setup>
			<operation>entab</operation>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.detab" category="actions.text.generic/actions.text.convert/tea.conversion/2">
		<class>TEASpacesToTabsAction</class>
		<setup>
			<operation>detab</operation>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.straight-quotes" category="actions.text.generic/actions.text.convert/tea.quotes/1">
		<script>quote_academy.js</script>
		<setup>
			<target>straight</target>
		</setup>
	</action>

	<action id="com.macrabbit.tea-for-two.text-actions.curly-quotes" category="actions.text.generic/actions.text.convert/tea.quotes/2">
		<script>quote_academy.js</script>
		<setup>
			<target>curly</target>
		</setup>
	</action>

	<action id="com.macrabbit.tea-for-two.text-actions.entity-quotes" category="actions.text.generic/actions.text.convert/tea.quotes/3">
		<script>quote_academy.js</script>
		<setup>
			<target>entity</target>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.trim-lines" category="actions.text.generic/actions.text.convert/tea.removal/1">
		<script>trim.js</script>
		<setup>
			<input>selected_lines</input>
			<alternate>all_lines</alternate>
			<trim>both</trim>
			<respectIndent>true</respectIndent>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.zap-gremlins" category="actions.text.generic/actions.text.convert/tea.removal/2">
		<class>TEAZapGremlins</class>
	</action>
	
	<!-- Select menu -->
	
	<action id="com.macrabbit.tea-for-two.text-actions.select-word" category="actions.text.generic/actions.text.selection/1">
		<script>goto.js</script>
		<key-equivalent>control option w</key-equivalent>
		<setup>
			<source>word</source>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.select-line" category="actions.text.generic/actions.text.selection/2">
		<script>goto.js</script>
		<key-equivalent>command shift l</key-equivalent>
		<setup>
			<source>line</source>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.select-line-contents" category="actions.text.generic/actions.text.selection/3">
		<script>goto.js</script>
		<key-equivalent>command option l</key-equivalent>
		<setup>
			<source>line</source>
			<trim>true</trim>
			<discardIndent>true</discardIndent>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.balance" category="actions.text.generic/actions.text.selection/tea.balance">
		<script>balance.js</script>
		<key-equivalent>command b</key-equivalent>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.balance-in" category="actions.text.generic/actions.text.selection/tea.balance">
		<script>balance.js</script>
		<key-equivalent>command option b</key-equivalent>
		<setup>
			<direction>in</direction>
		</setup>
	</action>
	
	<!-- Text menu -->
		
	<action id="com.macrabbit.tea-for-two.text-actions.move-line-up" category="actions.text.generic/actions.text.formatting/tea.moving/1">
		<script>move_line.js</script>
		<key-equivalent>command control arrow-up</key-equivalent>
		<setup>
			<direction>up</direction>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.move-line-down" category="actions.text.generic/actions.text.formatting/tea.moving/2">
		<script>move_line.js</script>
		<key-equivalent>command control arrow-down</key-equivalent>
		<setup>
			<direction>down</direction>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.insert-indented-line" category="actions.text.generic/actions.text.formatting/tea.insertion">
		<script>indent_newline.js</script>
		<key-equivalent>control enter</key-equivalent>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.insert-text.linebreak" category="actions.text.generic/actions.text.formatting/tea.insertion">
		<script>insert_text.js</script>
		<key-equivalent>control shift enter</key-equivalent>
		<setup>
			<suffix>true</suffix>
			<snippet>&lt;br /></snippet>
			<alternatives>
				<dict>
					<key>javascript string, javascript string end, python string, python string end, php string.double, php string.double end, ruby string.double, ruby string.double end</key>
					<string>\n</string>
					
					<key>markdown, markdown *</key>
					<string><![CDATA[$TOUCH  
]]></string>
				</dict>
			</alternatives>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.insert-text.tab" category="actions.text.generic/actions.text.formatting/tea.insertion">
		<script>insert_text.js</script>
		<key-equivalent>option tab</key-equivalent>
		<setup>
			<snippet>	$TOUCH</snippet>
		</setup>
	</action>
	
	<action id="com.macrabbit.tea-for-two.text-actions.wrap" category="actions.text.generic/actions.text.formatting">
		<class>TEACharacterWrap</class>
		<key-equivalent>command '</key-equivalent>
	</action>
	
	<!--<action id="com.macrabbit.tea-for-two.text-actions.open-linked-file" category="actions.text.generic">
		<class>TEAOpenLinkedFile</class>
		<syntax-context>string, string *</syntax-context>
		<key-equivalent>command shift O</key-equivalent>
		<when-disabled>show</when-disabled>
	</action>-->
	
</action-recipes>
